# Interactセッション一覧の取得 (/ja/api-reference/endpoint/browser-list)

<!-- agent-signals: reading_time_min: 2 · est_tokens: 1213 · updated: 2026-07-30 -->
Related: [検索](/ja/api-reference/endpoint/search.md), [検索フィードバック](/ja/api-reference/endpoint/search-feedback.md), [スクレイプ](/ja/api-reference/endpoint/scrape.md), [バッチスクレープ](/ja/api-reference/endpoint/batch-scrape.md), [バッチスクレイプのステータス取得](/ja/api-reference/endpoint/batch-scrape-get.md), [バッチスクレイプのキャンセル](/ja/api-reference/endpoint/batch-scrape-delete.md)

<div id="headers">
  ## ヘッダー [#ヘッダー]
</div>

| ヘッダー            | 値                  |
| --------------- | ------------------ |
| `Authorization` | `Bearer <API_KEY>` |

<div id="query-parameters">
  ## クエリパラメーター [#クエリパラメーター]
</div>

| パラメーター   | 型      | 必須  | 説明                                                  |
| -------- | ------ | --- | --------------------------------------------------- |
| `status` | string | いいえ | セッションのステータスでフィルタリングします：`"active"` または `"destroyed"` |

<div id="response">
  ## レスポンス [#レスポンス]
</div>

| フィールド      | 型       | 説明              |
| ---------- | ------- | --------------- |
| `success`  | boolean | リクエストが成功したかどうか  |
| `sessions` | array   | セッションオブジェクトのリスト |

<div id="session-object">
  ### セッションオブジェクト [#セッションオブジェクト]
</div>

| Field                    | Type   | Description                               |
| ------------------------ | ------ | ----------------------------------------- |
| `id`                     | string | 一意のセッション ID                               |
| `status`                 | string | 現在のセッションの状態（`"active"` または `"destroyed"`） |
| `cdpUrl`                 | string | CDP 接続用の WebSocket URL                    |
| `liveViewUrl`            | string | セッションをリアルタイムでモニタリングするための URL              |
| `interactiveLiveViewUrl` | string | セッションをリアルタイムで操作するための URL（クリック、入力、スクロール）   |
| `createdAt`              | string | セッション作成日時の ISO 8601 形式タイムスタンプ             |
| `lastActivity`           | string | 最終アクティビティ日時の ISO 8601 形式タイムスタンプ           |

<div id="example-request">
  ### リクエスト例 [#リクエスト例]
</div>

```bash
curl -X GET "https://api.firecrawl.dev/v2/interact?status=active" \
  -H "Authorization: Bearer $FIRECRAWL_API_KEY"
```

<div id="example-response">
  ### レスポンスの例 [#レスポンスの例]
</div>

```json
{
  "success": true,
  "sessions": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "status": "active",
      "cdpUrl": "wss://cdp-proxy.firecrawl.dev/cdp/550e8400-e29b-41d4-a716-446655440000",
      "liveViewUrl": "https://liveview.firecrawl.dev/550e8400-e29b-41d4-a716-446655440000",
      "interactiveLiveViewUrl": "https://liveview.firecrawl.dev/550e8400-e29b-41d4-a716-446655440000?interactive=true",
      "createdAt": "2025-06-01T12:00:00Z",
      "lastActivity": "2025-06-01T12:05:30Z"
    }
  ]
}
```

> Firecrawl API key が必要な AI agent の場合は、自動オンボーディング手順について [firecrawl.dev/agent-onboarding/SKILL.md](https://www.firecrawl.dev/agent-onboarding/SKILL.md) を参照してください。

`GET /interact`

Interactセッションの一覧を取得

## OpenAPI

```json
{
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "parameters": [
    {
      "description": "statusでセッションを絞り込む",
      "in": "query",
      "name": "status",
      "required": false,
      "schema": {
        "enum": [
          "active",
          "destroyed"
        ],
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "sessions": {
                "items": {
                  "properties": {
                    "cdpUrl": {
                      "type": "string"
                    },
                    "createdAt": {
                      "format": "date-time",
                      "type": "string"
                    },
                    "id": {
                      "type": "string"
                    },
                    "interactiveLiveViewUrl": {
                      "description": "Interactセッションをリアルタイムで操作するためのURL（クリック、入力、スクロール）",
                      "type": "string"
                    },
                    "lastActivity": {
                      "format": "date-time",
                      "type": "string"
                    },
                    "liveViewUrl": {
                      "type": "string"
                    },
                    "status": {
                      "enum": [
                        "active",
                        "destroyed"
                      ],
                      "type": "string"
                    },
                    "streamWebView": {
                      "type": "boolean"
                    }
                  },
                  "type": "object"
                },
                "type": "array"
              },
              "success": {
                "type": "boolean"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "Interactセッションの一覧"
    },
    "402": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "error": {
                "example": "Payment required to access this resource.",
                "type": "string"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "支払いが必要です"
    }
  }
}
```
